## com.lowagie.tools
Class Toolbox.Console

    java.lang.Object
      com.lowagie.tools.Toolbox.Console

Enclosing class:
  Toolbox

    public class Toolbox.Console

extends java.lang.Object

A Class that redirects output to System.out and System.err.

Nested Class Summary
`(package private) class` `Toolbox.Console.ReaderThread`

Field Summary
`(package private) java.io.PipedInputStream` `piErr`
`(package private) java.io.PipedInputStream` `piOut`
`(package private) java.io.PipedOutputStream` `poErr`
`(package private) java.io.PipedOutputStream` `poOut`
`(package private) javax.swing.JTextArea` `textArea`

Constructor Summary
`Toolbox.Console()` Creates a new Console object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### piOut

    java.io.PipedInputStream piOut

### piErr

    java.io.PipedInputStream piErr

### poOut

    java.io.PipedOutputStream poOut

### poErr

    java.io.PipedOutputStream poErr

### textArea

    javax.swing.JTextArea textArea

Constructor Detail

### Toolbox.Console

    public Toolbox.Console()
                    throws java.io.IOException

  Creates a new Console object.

  Parameters:
    `columns` -
    `rows` -
  Throws:
    `java.io.IOException`